import React, { useState } from 'react'
import { Input, Modal, message } from 'antd'
import { getFormFieldAnalysisDtos } from '../../../../../apis/process'

const { TextArea } = Input

const CalculateRule = (props) => {

  const { value, onChange, addons } = props
  const [visible, setVisible] = useState(false)
  const [text, setText] = useState()

  const inputClick = () => {
    setVisible(true)
    setText(value)
  }

  const onOk = async () => {
    const { code, data, msg } = await getFormFieldAnalysisDtos(text)
    if (code === 0) {
      addons.setValue('rules', data)
      setVisible(false)
      onChange(text)
    } else {
      message.error(msg)
    }
  }

  const onCancel = () => {
    setVisible(false)
  }

  return (
    <div>
      <Input value={value} onClick={inputClick} />
      <Modal
        title='计算规则'
        visible={visible}
        onOk={onOk}
        onCancel={onCancel}
      >
        <TextArea
          value={text}
          onChange={e => setText(e.target.value)}

        />
      </Modal>
    </div>
  )

}

export default CalculateRule